summaryrefslogtreecommitdiffstats
path: root/debian/squeeze/metapackages
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2019-03-16 02:52:22 +0100
committerSlávek Banko <slavek.banko@axis.cz>2019-03-16 02:52:42 +0100
commitef2bc56fd3d1478d216ab499f9801610cec61a0f (patch)
treea47c80580d765333be526e4bef7427638f432351 /debian/squeeze/metapackages
parent73995fbed8289f0715006b7c3ed276a029f031b4 (diff)
downloadtde-packaging-ef2bc56fd3d1478d216ab499f9801610cec61a0f.tar.gz
tde-packaging-ef2bc56fd3d1478d216ab499f9801610cec61a0f.zip
DEB trinity-slax: Create an initial kpersonalizerrc.
Signed-off-by: Slávek Banko <slavek.banko@axis.cz> (cherry picked from commit 9011dcc5b79c6f60170fad0315ed914f3796ea03)
Diffstat (limited to 'debian/squeeze/metapackages')
-rw-r--r--debian/squeeze/metapackages/trinity-slax/debian/postinst28
1 files changed, 28 insertions, 0 deletions
diff --git a/debian/squeeze/metapackages/trinity-slax/debian/postinst b/debian/squeeze/metapackages/trinity-slax/debian/postinst
new file mode 100644
index 000000000..9576c7390
--- /dev/null
+++ b/debian/squeeze/metapackages/trinity-slax/debian/postinst
@@ -0,0 +1,28 @@
+#! /bin/sh -e
+
+case "$1" in
+
+ configure)
+ if [ ! -f /root/.trinity/share/config/kpersonalizerrc ]; then
+ [ -d /root/.trinity/share/config ] ||
+ mkdir -p /root/.trinity/share/config
+ cat >/root/.trinity/share/config/kpersonalizerrc <<kpersonalizerrc
+[General]
+FirstLogin=false
+kpersonalizerrc
+ fi
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0